summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2019-07-22 12:27:28 +0100
committerMarek Szuba <marecki@gentoo.org>2019-07-22 12:27:28 +0100
commit9bc8a58a49587b2dc7d4665a93cfd70f9d83faec (patch)
treebe7cadfc92068d0a6d06d49c1ca7f0b97418e566
parent2019-07-18-syncthing-update-incompatibility: new item (diff)
downloadgentoo-news-master.tar.gz
gentoo-news-master.tar.bz2
gentoo-news-master.zip
2019-07-18-syncthing-update-incompatibility: some clarificationsHEADmaster
1. Explicitly say not to install 1.2.0+ in legacy clusters; 2. While talking about Syncthing on Debian Stretch, make it clear that it is the distribution-provided packages which could cause problems (Syncthing upstream provides .deb packages as well). Signed-off-by: Marek Szuba <marecki@gentoo.org>
-rw-r--r--2019-07-18-syncthing-update-incompatibility/2019-07-18-syncthing-update-incompatibility.en.txt9
1 files changed, 5 insertions, 4 deletions
diff --git a/2019-07-18-syncthing-update-incompatibility/2019-07-18-syncthing-update-incompatibility.en.txt b/2019-07-18-syncthing-update-incompatibility/2019-07-18-syncthing-update-incompatibility.en.txt
index c5a1537..4b43321 100644
--- a/2019-07-18-syncthing-update-incompatibility/2019-07-18-syncthing-update-incompatibility.en.txt
+++ b/2019-07-18-syncthing-update-incompatibility/2019-07-18-syncthing-update-incompatibility.en.txt
@@ -1,15 +1,16 @@
Title: Syncthing 1.2.0 and newer do not interoperate with 0.14.45 and older
Author: Marek Szuba <marecki@gentoo.org>
Posted: 2019-07-18
-Revision: 1
+Revision: 2
News-Item-Format: 2.0
Display-If-Installed: net-p2p/syncthing
Starting with version 1.2.0, Syncthing always uses large, variable-sized,
blocks to index and transfer files larger than 256 MiB [1]. Syncthing
version 0.14.45 and older will initially appear to accept files scanned
-with large blocks, but will later panic during some internal file
-operations. Do NOT enable large blocks in clusters with devices still
-on v0.14.45 or older, e.g. Debian Stretch servers using official packages.
+with large blocks, but will later panic and shut down during some internal
+file operations. Do NOT install those versions, or enable large blocks in
+older versions, in clusters with devices still on v0.14.45 or older,
+e.g. Debian Stretch servers using distribution-provided packages.
[1] https://docs.syncthing.net/advanced/folder-uselargeblocks.html